classification
Title: Add an os.path <=> pathlib equivalence table in pathlib docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Winterflower, azsorkin, brett.cannon, docs@python, ezio.melotti, klimov, pitrou, slashfoo
Priority: normal Keywords: easy, patch

Created on 2015-08-20 06:03 by ezio.melotti, last changed 2017-06-02 18:36 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
pathlib-os-correlation-doc.patch klimov, 2015-09-15 19:41 review
Pull Requests
URL Status Linked Edit
PR 1753 merged python-dev, 2017-05-23 05:36
Messages (6)
msg248877 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-08-20 06:03
I think it would be useful to add to the pathlib documentation a table listing os/os.path operations and their pathlib equivalent.
This will be useful both for people porting their code to pathlib and for people that already know os/os.path and want to get familiar with pathlib.
msg250533 - (view) Author: Nikita Klimov (klimov) Date: 2015-09-12 21:43
I make a correlation table, plan to finish by September 16 or earlier
msg250798 - (view) Author: Nikita Klimov (klimov) Date: 2015-09-15 19:41
Patch in attach. Could anybody do review?
msg257313 - (view) Author: Camilla Montonen (Winterflower) Date: 2016-01-01 22:57
This is a good one for beginner patch reviewers, so submitted this to the core-mentorship mailing list.
msg294192 - (view) Author: Jamiel Almeida (slashfoo) * Date: 2017-05-22 21:53
I'm picking this up.
msg295051 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-06-02 18:36
New changeset ae8750bca8234a9af9382b9d7e457b57f810ad64 by Brett Cannon (Jamiel Almeida) in branch 'master':
bpo-24899: Add comparison table for os.path -> pathlib (GH-1753)
https://github.com/python/cpython/commit/ae8750bca8234a9af9382b9d7e457b57f810ad64
History
Date User Action Args
2017-06-02 18:36:23brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-06-02 18:36:04brett.cannonsetnosy: + brett.cannon
messages: + msg295051
2017-05-23 05:36:21python-devsetpull_requests: + pull_request1840
2017-05-22 21:53:17slashfoosetnosy: + slashfoo

messages: + msg294192
versions: + Python 3.7, - Python 3.5, Python 3.6
2016-01-01 22:57:02Winterflowersetnosy: + Winterflower
messages: + msg257313
2016-01-01 20:09:45ezio.melottisetassignee: docs@python -> ezio.melotti
stage: needs patch -> patch review
versions: - Python 3.4
2015-09-15 19:41:20klimovsetfiles: + pathlib-os-correlation-doc.patch
keywords: + patch
messages: + msg250798
2015-09-12 21:43:39klimovsetmessages: + msg250533
2015-09-11 14:27:51klimovsetnosy: + klimov
2015-09-08 18:36:46azsorkinsetnosy: + azsorkin
2015-08-20 06:03:37ezio.melotticreate